OPT MODULE
OPT EXPORT

OPT PREPROCESS

#define DOSNAME 'dos.library'
#define BADDR(x) (Shl((x),2))
#define MKBADDR(x) (Shr((x),2))

CONST DOSTRUE=-1,
      DOSFALSE=0,
      MODE_OLDFILE=$3ED,
      MODE_NEWFILE=$3EE,
      MODE_READWRITE=$3EC,
      OFFSET_BEGINNING=-1,
      OFFSET_CURRENT=0,
      OFFSET_END=1,
      OFFSET_BEGINING=-1,
      BITSPERBYTE=8,
      BYTESPERLONG=4,
      BITSPERLONG=$20,
      MAXINT=$7FFFFFFF,
      MININT=$80000000,
      SHARED_LOCK=-2,
      ACCESS_READ=-2,
      EXCLUSIVE_LOCK=-1,
      ACCESS_WRITE=-1

OBJECT datestamp
  days:LONG
  minute:LONG
  tick:LONG
ENDOBJECT     /* SIZEOF=12 */

CONST TICKS_PER_SECOND=$32

OBJECT fileinfoblock
  diskkey:LONG
  direntrytype:LONG
  filename[108]:ARRAY
  protection:LONG
  entrytype:LONG
  size:LONG
  numblocks:LONG
  datestamp:datestamp
  comment[80]:ARRAY
  owneruid:INT  -> This is unsigned
  ownergid:INT  -> This is unsigned
  reserved[32]:ARRAY
ENDOBJECT     /* SIZEOF=260 */

CONST FIBB_OTR_READ=15,
      FIBB_OTR_WRITE=14,
      FIBB_OTR_EXECUTE=13,
      FIBB_OTR_DELETE=12,
      FIBB_GRP_READ=11,
      FIBB_GRP_WRITE=10,
      FIBB_GRP_EXECUTE=9,
      FIBB_GRP_DELETE=8,
      FIBB_SCRIPT=6,
      FIBB_PURE=5,
      FIBB_ARCHIVE=4,
      FIBB_READ=3,
      FIBB_WRITE=2,
      FIBB_EXECUTE=1,
      FIBB_DELETE=0,
      FIBF_OTR_READ=$8000,
      FIBF_OTR_WRITE=$4000,
      FIBF_OTR_EXECUTE=$2000,
      FIBF_OTR_DELETE=$1000,
      FIBF_GRP_READ=$800,
      FIBF_GRP_WRITE=$400,
      FIBF_GRP_EXECUTE=$200,
      FIBF_GRP_DELETE=$100,
      FIBF_SCRIPT=$40,
      FIBF_PURE=$20,
      FIBF_ARCHIVE=16,
      FIBF_READ=8,
      FIBF_WRITE=4,
      FIBF_EXECUTE=2,
      FIBF_DELETE=1,
      FAULT_MAX=$52


OBJECT infodata
  numsofterrors:LONG
  unitnumber:LONG
  diskstate:LONG
  numblocks:LONG
  numblocksused:LONG
  bytesperblock:LONG
  disktype:LONG
  volumenode:LONG
  inuse:LONG
ENDOBJECT     /* SIZEOF=36 */

CONST ID_WRITE_PROTECTED=$50,
      ID_VALIDATING=$51,
      ID_VALIDATED=$52,
      ID_NO_DISK_PRESENT=-1,
      ID_UNREADABLE_DISK=$42414400,
      ID_NOT_REALLY_DOS=$4E444F53,
      ID_DOS_DISK=$444F5300,
      ID_FFS_DISK=$444F5301,
      ID_INTER_DOS_DISK=$444F5302,
      ID_INTER_FFS_DISK=$444F5303,
      ID_FASTDIR_DOS_DISK=$444F5304,
      ID_FASTDIR_FFS_DISK=$444F5305,
      ID_KICKSTART_DISK=$4B49434B,
      ID_MSDOS_DISK=$4D534400,
      ERROR_NO_FREE_STORE=$67,
      ERROR_TASK_TABLE_FULL=$69,
      ERROR_BAD_TEMPLATE=$72,
      ERROR_BAD_NUMBER=$73,
      ERROR_REQUIRED_ARG_MISSING=$74,
      ERROR_KEY_NEEDS_ARG=$75,
      ERROR_TOO_MANY_ARGS=$76,
      ERROR_UNMATCHED_QUOTES=$77,
      ERROR_LINE_TOO_LONG=$78,
      ERROR_FILE_NOT_OBJECT=$79,
      ERROR_INVALID_RESIDENT_LIBRARY=$7A,
      ERROR_NO_DEFAULT_DIR=$C9,
      ERROR_OBJECT_IN_USE=$CA,
      ERROR_OBJECT_EXISTS=$CB,
      ERROR_DIR_NOT_FOUND=$CC,
      ERROR_OBJECT_NOT_FOUND=$CD,
      ERROR_BAD_STREAM_NAME=$CE,
      ERROR_OBJECT_TOO_LARGE=$CF,
      ERROR_ACTION_NOT_KNOWN=$D1,
      ERROR_INVALID_COMPONENT_NAME=$D2,
      ERROR_INVALID_LOCK=$D3,
      ERROR_OBJECT_WRONG_TYPE=$D4,
      ERROR_DISK_NOT_VALIDATED=$D5,
      ERROR_DISK_WRITE_PROTECTED=$D6,
      ERROR_RENAME_ACROSS_DEVICES=$D7,
      ERROR_DIRECTORY_NOT_EMPTY=$D8,
      ERROR_TOO_MANY_LEVELS=$D9,
      ERROR_DEVICE_NOT_MOUNTED=$DA,
      ERROR_SEEK_ERROR=$DB,
      ERROR_COMMENT_TOO_BIG=$DC,
      ERROR_DISK_FULL=$DD,
      ERROR_DELETE_PROTECTED=$DE,
      ERROR_WRITE_PROTECTED=$DF,
      ERROR_READ_PROTECTED=$E0,
      ERROR_NOT_A_DOS_DISK=$E1,
      ERROR_NO_DISK=$E2,
      ERROR_NO_MORE_ENTRIES=$E8,
      ERROR_IS_SOFT_LINK=$E9,
      ERROR_OBJECT_LINKED=$EA,
      ERROR_BAD_HUNK=$EB,
      ERROR_NOT_IMPLEMENTED=$EC,
      ERROR_RECORD_NOT_LOCKED=$F0,
      ERROR_LOCK_COLLISION=$F1,
      ERROR_LOCK_TIMEOUT=$F2,
      ERROR_UNLOCK_ERROR=$F3,
      RETURN_OK=0,
      RETURN_WARN=5,
      RETURN_ERROR=10,
      RETURN_FAIL=20,
      SIGBREAKF_CTRL_C=$1000,
      SIGBREAKF_CTRL_D=$2000,
      SIGBREAKF_CTRL_E=$4000,
      SIGBREAKF_CTRL_F=$8000,
      SIGBREAKB_CTRL_C=12,
      SIGBREAKB_CTRL_D=13,
      SIGBREAKB_CTRL_E=14,
      SIGBREAKB_CTRL_F=15,
      LOCK_DIFFERENT=-1,
      LOCK_SAME=0,
      LOCK_SAME_VOLUME=1,
      LOCK_SAME_HANDLER=1,
      CHANGE_LOCK=0,
      CHANGE_FH=1,
      LINK_HARD=0,
      LINK_SOFT=1,
      ITEM_EQUAL=-2,
      ITEM_ERROR=-1,
      ITEM_NOTHING=0,
      ITEM_UNQUOTED=1,
      ITEM_QUOTED=2,
      DOS_FILEHANDLE=0,
      DOS_EXALLCONTROL=1,
      DOS_FIB=2,
      DOS_STDPKT=3,
      DOS_CLI=4,
      DOS_RDARGS=5

